[arch-commits] Commit in openexr/repos (4 files)

Pierre Schmitz pierre at archlinux.org
Thu Oct 30 12:25:54 EDT 2008


    Date: Thursday, October 30, 2008 @ 12:25:54
  Author: pierre
Revision: 17474

Merged revisions 356,17473 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/openexr/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r17473 | pierre | 2008-10-30 17:24:35 +0100 (Do, 30 Okt 2008) | 1 line
  
  upgpkg: openexr 1.6.1-1
........

Added:
  openexr/repos/extra-x86_64/gcc43.patch
    (from rev 17473, openexr/trunk/gcc43.patch)
Modified:
  openexr/repos/extra-x86_64/	(properties)
  openexr/repos/extra-x86_64/PKGBUILD
Deleted:
  openexr/repos/extra-x86_64/openexr-gcc4.patch

--------------------+
 PKGBUILD           |   20 ++++++++++----------
 gcc43.patch        |   22 ++++++++++++++++++++++
 openexr-gcc4.patch |   11 -----------
 3 files changed, 32 insertions(+), 21 deletions(-)


Property changes on: openexr/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /openexr/trunk:1
   + /openexr/trunk:1-17473

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-30 16:24:35 UTC (rev 17473)
+++ extra-x86_64/PKGBUILD	2008-10-30 16:25:54 UTC (rev 17474)
@@ -2,22 +2,22 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=openexr
-pkgver=1.4.0a
-pkgrel=2
-depends=('mesa' 'libxext' 'libxft' 'fltk')
-makedepends=('xproto')
+pkgver=1.6.1
+pkgrel=1
+depends=('zlib' 'ilmbase')
 pkgdesc="openexr library for EXR images"
 arch=(i686 x86_64)
-options=(NOLIBTOOL)
-source=(http://savannah.nongnu.org/download/$pkgname/$pkgname-$pkgver.tar.gz)
+options=('!libtool')
+license=('custom')
+source=("http://savannah.nongnu.org/download/$pkgname/$pkgname-$pkgver.tar.gz" 'gcc43.patch')
 url="http://www.openexr.org"
+md5sums=('11951f164f9c872b183df75e66de145a' '7c83ee3d69ad688142e7de63cb68e70a')
 
 build() {
-  cd $startdir/src/$pkgname-1.4.0
-   # gcc4 fix
-  #patch -Np1 -i ../openexr-gcc4.patch
+  cd $startdir/src/$pkgname-$pkgver
+  patch -p1 -i $srcdir/gcc43.patch || return 1
   ./configure --prefix=/usr
   make || return 1
   make DESTDIR=$startdir/pkg install
+  install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
 }
-md5sums=('d0a4b9a930c766fa51561b05fb204afe')

Copied: openexr/repos/extra-x86_64/gcc43.patch (from rev 17473, openexr/trunk/gcc43.patch)
===================================================================
--- extra-x86_64/gcc43.patch	                        (rev 0)
+++ extra-x86_64/gcc43.patch	2008-10-30 16:25:54 UTC (rev 17474)
@@ -0,0 +1,22 @@
+diff -Nura openexr-1.6.1/exrenvmap/main.cpp openexr-1.6.1.new/exrenvmap/main.cpp
+--- openexr-1.6.1/exrenvmap/main.cpp	2007-04-25 03:07:51.000000000 +0200
++++ openexr-1.6.1.new/exrenvmap/main.cpp	2008-10-30 17:18:13.000000000 +0100
+@@ -45,6 +45,7 @@
+ #include <iostream>
+ #include <exception>
+ #include <stdlib.h>
++#include <string.h>
+ 
+ using namespace Imf;
+ using namespace std;
+diff -Nura openexr-1.6.1/exrmaketiled/main.cpp openexr-1.6.1.new/exrmaketiled/main.cpp
+--- openexr-1.6.1/exrmaketiled/main.cpp	2007-04-25 03:08:45.000000000 +0200
++++ openexr-1.6.1.new/exrmaketiled/main.cpp	2008-10-30 17:18:40.000000000 +0100
+@@ -46,6 +46,7 @@
+ #include <exception>
+ #include <string>
+ #include <stdlib.h>
++#include <string.h>
+ 
+ using namespace Imf;
+ using namespace std;

Deleted: extra-x86_64/openexr-gcc4.patch
===================================================================
--- extra-x86_64/openexr-gcc4.patch	2008-10-30 16:24:35 UTC (rev 17473)
+++ extra-x86_64/openexr-gcc4.patch	2008-10-30 16:25:54 UTC (rev 17474)
@@ -1,11 +0,0 @@
---- OpenEXR-1.2.2/exrmaketiled/Image.h~	2004-06-04 06:11:23.000000000 +0200
-+++ OpenEXR-1.2.2/exrmaketiled/Image.h	2005-07-15 07:02:08.000000000 +0200
-@@ -50,6 +50,8 @@
- #include <map>
- 
- 
-+class Image;
-+
- class ImageChannel
- {
-   public:




More information about the arch-commits mailing list